<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Quaternion Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#8ed59783cae74b10d60c5dfab65efc46">Dot</a>(const Quaternion &amp;rkQ) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#2967ddfe51904c9bff1b68eb3e39f0e5">equals</a>(const Quaternion &amp;rhs, const Radian &amp;tolerance) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#fa5a360df739f21929b2359276c2a9a5">Exp</a>() const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#c3328c1bb86d17e870c57d52720e2e32">FromAngleAxis</a>(const Radian &amp;rfAngle, const Vector3 &amp;rkAxis)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#7ad7ad40e38bf351485c2a906c3949bb">FromAxes</a>(const Vector3 *akAxis)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#365bc3b10308318721199a829db03887">FromAxes</a>(const Vector3 &amp;xAxis, const Vector3 &amp;yAxis, const Vector3 &amp;zAxis)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#e6c3bfed7176355cf2461567f89a15b1">FromRotationMatrix</a>(const Matrix3 &amp;kRot)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#b4f38aa582a50dd81c05c3e772680f6b">getPitch</a>(bool reprojectAxis=true) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#4d02aa80d2d2183045225a0243e659b9">getRoll</a>(bool reprojectAxis=true) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#76afd1ec6ae605cf6a969a5e57873f5e">getYaw</a>(bool reprojectAxis=true) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#441b8d52549e1dedec27420325a313ef">IDENTITY</a></td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#838d0736819d496073d99f3f74d0cac1">Intermediate</a>(const Quaternion &amp;rkQ0, const Quaternion &amp;rkQ1, const Quaternion &amp;rkQ2, Quaternion &amp;rka, Quaternion &amp;rkB)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#391f1c24de70342cc0ac3945d9450ef6">Inverse</a>() const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#a446f6210a2446c7ff3a9358635988c4">Log</a>() const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#2bfb8dc81611e22008261c3c04ed1227">ms_fEpsilon</a></td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#16987149991882e148170fe3f1c7da4b">nlerp</a>(Real fT, const Quaternion &amp;rkP, const Quaternion &amp;rkQ, bool shortestPath=false)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#17a0e63655eda5e7d77522d45033668c">Norm</a>() const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#ee94ec9c7de50fe7f774ae4c7e760b65">normalise</a>(void)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#eef8999c2373520e4f21572a21469dbe">operator *</a>(const Quaternion &amp;rkQ) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#6a5dd322c07000f79321a005636cfb82">operator *</a>(Real fScalar) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#17b12dbe6e6156f811ba60fb98db4f28">operator *</a>(Real fScalar, const Quaternion &amp;rkQ)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#9ee791bfb4936cd71feab64b7dbbab25">operator *</a>(const Vector3 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#aac827806910efa70a5deaa6d75bf3e1">operator!=</a>(const Quaternion &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#3c71782cbc1d79c25d1374ffde29f918">operator+</a>(const Quaternion &amp;rkQ) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#b07f890193a498d4091c3cbc6799ae4f">operator-</a>(const Quaternion &amp;rkQ) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#425964da3f7cc72e656d68cec30833d0">operator-</a>() const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#2a92fc4c7d55783c70ef6f633f3cac89">operator&lt;&lt;</a>(std::ostream &amp;o, const Quaternion &amp;q)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#6367b543cf0d073d893139dd503b4fbd">operator=</a>(const Quaternion &amp;rkQ)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#a20c618a3b4b67d22d2cfd64ba2c8f3b">operator==</a>(const Quaternion &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#3f9320930fd5110028abf48c78a89622">operator[]</a>(const size_t i) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#074aea0da7fabfde89d204a1f0f0121b">operator[]</a>(const size_t i)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#ecce24dd0096766de0c96c13b195b197">ptr</a>()</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#b4b5bc328439a4f96d1b4b413fcf87cc">ptr</a>() const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#dd13bf39aaf6300299354acc87a23025">Quaternion</a>(Real fW=1.0, Real fX=0.0, Real fY=0.0, Real fZ=0.0)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#2cffcbdf2862e0f76ea1bffc89f7122a">Quaternion</a>(const Quaternion &amp;rkQ)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#cdcb70a4f122452b6fa70d7cf5ce3cf3">Quaternion</a>(const Matrix3 &amp;rot)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#7f25c623d95186b58f6367dcd097a5ba">Quaternion</a>(const Radian &amp;rfAngle, const Vector3 &amp;rkAxis)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#1140011dc0793a81c55f2d078c8c964c">Quaternion</a>(const Vector3 &amp;xaxis, const Vector3 &amp;yaxis, const Vector3 &amp;zaxis)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#3ccc60338011887023b397a02a7f3336">Quaternion</a>(const Vector3 *akAxis)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#1ca81bd9d57e43cf23582c898e5fdd34">Quaternion</a>(Real *valptr)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#b0c47f1a7308ac4c17db9f9ddb6e4a72">Slerp</a>(Real fT, const Quaternion &amp;rkP, const Quaternion &amp;rkQ, bool shortestPath=false)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#25fb3bc0f11e6a676fb5c47347a79579">SlerpExtraSpins</a>(Real fT, const Quaternion &amp;rkP, const Quaternion &amp;rkQ, int iExtraSpins)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#5f43da8b8aa579e02035eecff89e16a5">Squad</a>(Real fT, const Quaternion &amp;rkP, const Quaternion &amp;rkA, const Quaternion &amp;rkB, const Quaternion &amp;rkQ, bool shortestPath=false)</td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#9c516d6b499410b2fc72524026d3a124">ToAngleAxis</a>(Radian &amp;rfAngle, Vector3 &amp;rkAxis) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#77b776c2f81d371549927b0f79478eb9">ToAngleAxis</a>(Degree &amp;dAngle, Vector3 &amp;rkAxis) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#82b3a7b187451d70e1522b54718deadf">ToAxes</a>(Vector3 *akAxis) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#fc19f98e4b1cf72072a5da398c8702ba">ToAxes</a>(Vector3 &amp;xAxis, Vector3 &amp;yAxis, Vector3 &amp;zAxis) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#7e6b9955074bf92c2b778dc0307769a2">ToRotationMatrix</a>(Matrix3 &amp;kRot) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#9bac18de9a5b0935834e045b2a755d4f">UnitInverse</a>() const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#f3424f1e07092c0ffe293d18b277a04f">w</a></td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#32c5680516b41bc4ba3159bf4d4abaf1">x</a></td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#d6d7ef864ec7bf39db133a0fd67cce26">xAxis</a>(void) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#a7328cd3883a92ee9c9322805d038f11">y</a></td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#62b05272a53c6ee664d7ed6760ec3744">yAxis</a>(void) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#31ec84a931236554c0c17e37bf5ace97">z</a></td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#6c1b8112a4af61982f0feb6fe187851c">zAxis</a>(void) const </td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Quaternion.html#44f3c000c8f1ea2759c2e724e04bf86b">ZERO</a></td><td><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td><td><code> [static]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:57 2008
</p>
</body>
</html>
